ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
group_view_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| pre_generation ()

## Data Fields
| $GroupAccess = false
| $BlockParameters = false
| $Security = false
| $String = false

## Detailed Description

Class provides groups of permits dependent visualisation.

Author
  Dodonov A.A.

Definition at line 26 of file group_view.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 53 of file group_view.php.

{
try
{
$this->GroupAccess = get_package( 'permit::group_access' , 'last' , __FILE__ );
$this->BlockParameters = get_package_object( 'settings::settings' , 'last' , __FILE__ );
$this->Security = get_package( 'security' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

pre_generation | ( |  | ) |

Function executes before any page generating actions took place.

Parameters

  $Options | - Settings.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 86 of file group_view.php.

{
try
{
$PageJS = get_package( 'page::page_js' , 'last' , __FILE__ );
$Version = get_package_version_s( __CLASS__ );
$PackagePath = _get_package_relative_path_ex( 'permit::group_view' , $Version );
$PageJS->add_javascript( "{http_host}/$PackagePath/include/js/group_view.js" );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$BlockParameters = false

Definition at line 39 of file group_view.php.

$GroupAccess = false

Cached objects.

Author
  Dodonov A.A.

Definition at line 38 of file group_view.php.

$Security = false

Definition at line 40 of file group_view.php.

$String = false

Definition at line 41 of file group_view.php.

The documentation for this class was generated from the following file:

- packages/permit/packages/group_view/group_view.php